/*****************************************************************************
 *   Copyright (C) 2008 Thomas Kaiser, thomas@ft-fanpage.de                  *
 *   Copyright (C) 2009 Peter "woggle" Mack, mac@denich.net                  *
 *   Copyright (C) 2011 Christian "Cebra" Brandtner, brandtner@brandtner.net *
 *   Copyright (C) 2011 Harald Bongartz                                      *
 *                                                                           *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License.          *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the                           *
 *   Free Software Foundation, Inc.,                                         *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.               *
 *                                                                           *
 *                                                                           *
 *   Credits to:                                                             *
 *   Holger Buss & Ingo Busker from mikrokopter.de for the MK project + SVN  *
 *                          http://www.mikrokopter.de                        *
 *   Gregor "killagreg" Stobrawa for his version of the MK code              *
 *   Thomas Kaiser "thkais" for the original project. See                    *
 *                          http://www.ft-fanpage.de/mikrokopter/            *
 *                          http://forum.mikrokopter.de/topic-4061-1.html    *
 *   Claas Anders "CaScAdE" Rathje for providing the font and his C-OSD code *
 *                          http://www.mylifesucks.de/oss/c-osd/             *
 *   Harald Bongartz "HaraldB" for providing his Ideas and Code for usibility*
 *****************************************************************************/


#ifndef _MAIN_H
#define _MAIN_H

// Version der Software
#define PKTSWVersion "3.55"

//#define DEBUG


// Fusebits für Hardware 1.2 D7 DC FC
// Fusebits für Hardware 1.3
// Fusebits für Hardware 3.x D7 DC FC
// avrdude -pm1284p -cavr109 -P/dev/ttyUSB1 -b115200 -V -Uflash:w:Dateiname.hex:a


// hier die entsprechende Hardwareversion der Leiterplatte einstellen

//#define HWVERSION1_2   // Hardware sebseb7
//#define HWVERSION1_2W  // Hardware sebseb7 mit Wi232 Support
//#define HWVERSION1_3   // Hardware sebseb7
//#define HWVERSION1_3W  // Hardware sebseb7 mit Wi232 Support
//#define HWVERSION3_1   // Test Hardware Cebra Juni 2011
#define HWVERSION3_9   // Hardware Cebra Oktober 2011 ATmega1284P


#if defined HWVERSION1_2W || defined HWVERSION1_2
#include "HAL_HW1_2.h"
#endif

#if defined HWVERSION1_3W || defined HWVERSION1_3
#include "HAL_HW1_3.h"
#endif

#ifdef HWVERSION3_1
#include "HAL_HW3_1.h"
#endif

#ifdef HWVERSION3_9
#include "HAL_HW3_9.h"
#endif

#define NO     0
#define NC     1
#define FC     2
#define MK3MAG 3
#define MKGPS  4
#define Wi232  5

#define ENABLE_PWM



// Menueleiste am unteren Rand definieren
//
// 11 <>  Change
//
// 12 /\  Up     13 \/  Down     14 <   Left     15 >   Right
//
// 16 /|\ Arrow up     17 \|/ Arrow down     18 <-  Arrow left     19 ->  Arrow right
//
// 1A  ^  Triangle up     1B  v  Triangle down     1C  <  Triangle left     1D  >  Triangle right
//
//                 "01   234567   8901234567890"
//                 "|O   |||||O   |||||O|||||O|"
//
#define KEY_LINE_1 " \x1a     \x1b    Ende   OK"
#define KEY_LINE_2 " \x18     \x19    Ende   OK"
#define KEY_LINE_3 " \x18     \x19    Ende"


extern volatile uint8_t mode;
extern uint8_t hardware;
extern uint8_t current_hardware;


#endif
